{
  "name": "backend",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "dev": "tsx watch src/index.ts",
    "migrate": "tsx scripts/migrate.ts",
    "fill": "ts-node src/webdav/fill-file-sizes.ts",
    "dev:dav": "tsx watch src/webdav/server.ts",
    "build": "tsc",
    "start": "node dist/src/index.js",
    "schema:index": "ts-node scripts/generate-schema-index.ts",
    "bankcodes:update": "tsx scripts/generate-de-bank-codes.ts",
    "members:import:csv": "tsx scripts/import-members-csv.ts",
    "accounts:import:skr42": "ts-node scripts/import-skr42-accounts.ts"
  },
  "repository": {
    "type": "git",
    "url": "https://git.federspiel.software/fedeo/backend.git"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@aws-sdk/client-s3": "^3.879.0",
    "@aws-sdk/s3-request-presigner": "^3.879.0",
    "@fastify/cookie": "^11.0.2",
    "@fastify/cors": "^11.1.0",
    "@fastify/multipart": "^9.0.3",
    "@fastify/swagger": "^9.5.1",
    "@fastify/swagger-ui": "^5.2.3",
    "@infisical/sdk": "^4.0.6",
    "@mmote/niimbluelib": "^0.0.1-alpha.29",
    "@prisma/client": "^6.15.0",
    "@zip.js/zip.js": "^2.7.73",
    "archiver": "^7.0.1",
    "axios": "^1.12.1",
    "bcrypt": "^6.0.0",
    "bwip-js": "^4.8.0",
    "crypto": "^1.0.1",
    "dayjs": "^1.11.18",
    "drizzle-orm": "^0.45.0",
    "fastify": "^5.5.0",
    "fastify-plugin": "^5.0.1",
    "handlebars": "^4.7.8",
    "imapflow": "^1.1.1",
    "jsonwebtoken": "^9.0.2",
    "mailparser": "^3.9.0",
    "nodemailer": "^7.0.6",
    "openai": "^6.10.0",
    "pdf-lib": "^1.17.1",
    "pg": "^8.16.3",
    "pngjs": "^7.0.0",
    "sharp": "^0.34.5",
    "webdav-server": "^2.6.2",
    "xmlbuilder": "^15.1.1",
    "zpl-image": "^0.2.0",
    "zpl-renderer-js": "^2.0.2"
  },
  "devDependencies": {
    "@types/bcrypt": "^6.0.0",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^24.3.0",
    "drizzle-kit": "^0.31.8",
    "prisma": "^6.15.0",
    "tsx": "^4.20.5",
    "typescript": "^5.9.2"
  }
}
